from youtube2usb.file_helper import list_directory


class FileHandler:

    _output_dir: str

    _file_list: list = []

    def __init__(self, output_dir):
        self._output_dir = output_dir

        self._get_file_list()

    def file_exist(self, video_name: str) -> bool:
        if video_name+".mp4" in self._file_list:
            return True
        return False

    def _get_file_list(self):
        self._file_list = list_directory(self._output_dir, file_extension="mp4")
