from PySide2 import QtWidgets

from youtube2usb.ui.dialogs.ui_outputpath_dialog import Ui_Dialog


class OutputPathDialog(QtWidgets.QDialog):

    def __init__(self, parent: QtWidgets.QMainWindow = None):
        super(OutputPathDialog, self).__init__(parent)

        dialog = Ui_Dialog()
        dialog.setupUi(self)

        dialog.lineEdit.setText(parent.config.get_output_dir())

        if self.exec_():
            if parent.config.get_output_dir() != dialog.lineEdit.text():
                parent.config.set_output_dir(dialog.lineEdit.text())
            else:
                pass
        else:
            pass
