from PySide2 import QtWidgets

from youtube2usb.ui.dialogs.ui_playlisturl_dialog import Ui_Dialog


class PlaylistUrlDialog(QtWidgets.QDialog):

    def __init__(self, parent: QtWidgets.QMainWindow = None):
        super(PlaylistUrlDialog, self).__init__(parent)

        dialog = Ui_Dialog()
        dialog.setupUi(self)

        dialog.label_playlist_url.setText(parent.config.get_playlist_title())
        dialog.lineEdit.setText(parent.config.get_playlist_url())

        if self.exec_():
            if parent.config.get_playlist_url() != dialog.lineEdit.text():
                parent.config.set_playlist_url(dialog.lineEdit.text())
            else:
                pass
        else:
            pass
